Automated Hatching

Discussion in 'AutoCAD' started by colin1234, Sep 13, 2004.

  1. colin1234

    colin1234 Guest

    I am trying to solid hatch numerous polyline boxes and each one has to be done seperately. Is there any quick easy program code to facilitate this which would just mean clicking the perimeter of each box?

    Many thanks in advance
     
    colin1234, Sep 13, 2004
    #1
  2. Tablet/Screen/Toolbar approach:

    *^C^CHATCH S \;

    Pick on the menu item once and you should be able to pick items
    continuously, each of which would be solid-hatched individually. (But I
    haven't tested it.) This should work with closed polylines, circles, and
    other stuff that can form a hatch boundary with one entity.

    Add in whatever layer controls, error handling (e.g. if what you pick isn't
    a closed shape), etc., you need.

    Kent Cooper, AIA


    ...
     
    Kent Cooper, AIA, Sep 13, 2004
    #2
  3. colin1234

    Paul Turvill Guest

    LISP approach:

    (defun C:MHATCH (/ ent)
    (while (setq ent (entsel "\nObject to hatch (ENTER when done): "))
    (command "-bhatch" "_p" "_s" "_s" ent "" "")
    )
    (princ)
    )
    ___

    done seperately. Is there any quick easy program code to facilitate this
    which would just mean clicking the perimeter of each box?
     
    Paul Turvill, Sep 13, 2004
    #3
  4. If you need them to be associative:

    *^C^C-BHATCH A A Y ;P S S \;;

    Kent Cooper, AIA
     
    Kent Cooper, AIA, Sep 13, 2004
    #4
  5. colin1234

    colin1234 Guest

    Thank you very much thats has made life so much easier.

    Colin
     
    colin1234, Sep 14, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.